spatiaLite & qgis

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

spatiaLite & qgis

Sandro Pellicciotta-2
Salve a tutt*!
Ultimamente sto spulciando spatialite per cominciare a prendere dimestichezza con i database spaziali (si ringrazia il cookbook di Alessandro e chi me lo ha girato!).
Il problema però credo sia legato a qgis:

Partendo da un semplice shape punti volevo prenderlo e trasformarlo in un db sL. La cosa sarebbe apparentermente semplice, vi è un apposito tasto...purtroppo appena do il via tempo 5 secondi qgis sfarfalla, spunta fuori "(Non risponde)" dell'head della finestra e mi viene proposto, senza alcun avviso particolare, di terminare l'esecuzione.

Al termine di ciò si materializza comunque sul desktop l'icona relativa al DB che cercavo di creare...ma quando cerco di connetterlo spatialite gui mi avvisa che:

SQLite SQL Error: no such module: Virtual Spatial Index....


Successivamente ho cercato di trovare una soluzione.(probabilmente fraintendendo il problema), creando uno spatial index tramite fTools: qgis non collassa ma in ogni caso, quando colego il db la risposta è la medesima:
SQLite SQL Error: no such module: Virtual Spatial Index


Magari virtual spatial index non ha necessariamente a che fare con la creazione di uno spatial index,tuttavia non saprei...
Sto cercando di fare qualcosa di non concesso o cè qualcosa che non va?


ah! windows xp 32 bit, qgis dufour & spatiaLite-gui 1.4.0 - spatiaLite version 2.4.0 - SQLite 3.7.3


Grazie in anticipo
S.

_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
666 iscritti al 22.7.2013
Reply | Threaded
Open this post in threaded view
|

Re: spatiaLite & qgis

a.furieri
On Tue, 3 Dec 2013 12:16:18 +0100, Sandro Pellicciotta wrote:
>  Sto cercando di fare qualcosa di non concesso o cè qualcosa che non
> va?
>
> ah! windows xp 32 bit, qgis dufour & spatiaLite-gui 1.4.0 -
> spatiaLite
> version 2.4.0 - SQLite 3.7.3
>

ciao Sandro,

stai semplicemente usando una Spatialite-GUI degna di venire
esposta in un museo archeologico/paleontologico.

la versione corrente di SQLite e' la 3.8.1, la libspatialite
attuale e' la 4.1.1 e la spatialite-gui corrente e' la 1.7.1
(cioe', esattamente il medesimo livello di versioni supportato
anche da QGIS Dufour).


> SQLite SQL Error: no such module: Virtual Spatial Index....
>

appunto: il modulo VirtualSpatialIndex e' stato introdotto solo
successivamente; ai tempi della v2.4 (2010/2011) non esisteva
ancora.

visto che usi WinOZ, puoi scaricarti gli ultimi eseguibili della
GUI da queste URL:

win 32 bit:
http://www.gaia-gis.it/gaia-sins/windows-bin-x86/spatialite_gui-1.7.1-win-x86.zip

win 64 bit:
http://www.gaia-gis.it/gaia-sins/windows-bin-amd64/spatialite_gui-1.7.1-win-amd64.zip

in linea di massima SpatiaLite cerca di sfornare un aggiornamento
circa ogni sei mesi: ed aggiornare tempestivamente all'ultima
versione e' sempre *caldamente* consigliato.

ciao Sandro
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
666 iscritti al 22.7.2013